# react-native-components-design

All react native design components available in this package

## Installation

```sh
npm install react-native-components-design
```
```sh
yarn add react-native-components-design
```

## Usage

```js
import { ModalLoading } from 'react-native-components-design';

// ...

<ModalLoadings
    visible={true} // boolean *
    indicatorColor={"#000000"} // color 
    loadingTextStyle={{color:'black'}} // Loading Text Style
    backgroundColor={"white"} // modal background color
/>
```

## Contributing

See the [contributing guide](CONTRIBUTING.md) to learn how to contribute to the repository and the development workflow.

## License

MIT

---

Made with [create-react-native-library](https://github.com/callstack/react-native-builder-bob)
