"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _constants = require("../../constants");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ModalLoadings = _ref => {
  let {
    visible,
    indicatorColor,
    loadingTextStyle,
    backgroundColor
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_reactNative.Modal, {
    visible: visible,
    transparent: true
    // backdropOpacity={0.3} animationIn={'zoomIn'} animationOut={'fadeOut'} 
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.mainBg
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.main, {
      backgroundColor: backgroundColor
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.ActivityIndicator, {
    size: 40,
    color: indicatorColor
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.loadingText, loadingTextStyle]
  }, "Loading..."))));
};
var _default = exports.default = ModalLoadings;
ModalLoadings.defaultProps = {
  visible: false,
  indicatorColor: _constants.COLORS.primary
};
const styles = _reactNative.StyleSheet.create({
  mainBg: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: _constants.COLORS.transparentBlack3
  },
  main: {
    height: _constants.SIZES.height * .1,
    backgroundColor: _constants.COLORS.white,
    flexDirection: 'row',
    alignItems: 'center',
    paddingLeft: _constants.SIZES.width * .07,
    borderRadius: 3,
    width: _constants.SIZES.width * .91,
    alignSelf: 'center'
  },
  loadingText: {
    marginLeft: _constants.SIZES.width * .05,
    fontSize: _constants.SIZES.width * .043,
    // fontFamily: FONTS.regular,
    // marginBottom: -4,
    color: _constants.COLORS.gray80
  }
});
//# sourceMappingURL=index.js.map