import React from 'react'
import ModalLoadings from './component/ModalLoading'


export const ModalLoading = ({ visible, indicatorColor, loadingTextStyle,backgroundColor }: {
    visible: boolean, indicatorColor: string, loadingTextStyle: any,backgroundColor:string
}) => {
    return (
        <ModalLoadings
            visible={visible} // boolean *
            indicatorColor={indicatorColor} // color 
            loadingTextStyle={loadingTextStyle} // Loading Text Style
            backgroundColor={backgroundColor}
        />
    )
}



// import React from 'react'
// import PhonepeCheckoutButton from './components/PhonepeCheckoutButton.js';

// export const PhonepeCheckoutTouch = ({
//   children,
//   merchantId,
//   saltKey,
//   saltIndex,
//   amount,
//   callback,
//   redirectUrl,
//   merchantUserId,
//   mobileNumber,
//   uat,
//   successCallback,
//   errorCallback,
//   style,
//   onPress,
//   disabled
// }: {
//   children: any;
//   merchantId: string;
//   saltKey: string;
//   saltIndex: number;
//   amount: number;
//   callback: string;
//   redirectUrl: string;
//   merchantUserId: string;
//   mobileNumber: number;
//   uat: boolean;
//   successCallback: (data: any) => {},
//   errorCallback: (data: any) => {},
//   onPress: () => {},
//   style: object,
//   disabled: boolean
// }) => {
//   return (
//     <PhonepeCheckoutButton
//       merchantId={merchantId} //required
//       saltKey={saltKey} //required
//       saltIndex={saltIndex} //required
//       amount={amount} //required
//       callback={callback} //required
//       redirectUrl={redirectUrl} //required
//       merchantUserId={merchantUserId} //required
//       successCallback={successCallback}
//       errorCallback={errorCallback}
//       mobileNumber={mobileNumber}
//       uat={uat}
//       style={style}
//       onPress={onPress}
//       disabled={disabled}
//     >
//       {children}
//     </PhonepeCheckoutButton>
//   );
// };